//
// Created by sasha on 02.12.2025.
//

#ifndef RU_DANSOFT_PUZZLE15_CONFIG_STORAGE_H
#define RU_DANSOFT_PUZZLE15_CONFIG_STORAGE_H

#include <string>
#include <vector>

class ConfigStorage {
    public:
        ConfigStorage();

        bool statusSound();
        void setStatusSound(bool value);

    private:
        std::string filename;

        std::vector<std::string> parseString(const std::string& str, char delimiter);

};


#endif //RU_DANSOFT_PUZZLE15_CONFIG_STORAGE_H
